# 78. الاستعلام: العثور على "Fields" بواسطة "externalKey"

ابحث عن "الحقول" بواسطة externalKey لجهة خارجية ثالثة تم إدراجه أثناء إجراء تسجيل "الحقل".

### <mark style="color:برتقالي;">الخيار 1</mark> باستخدام استعلام getFields

{% code overflow="wrap" lineNumbers="true" %}

```graphql
الاستعلام FindFieldsByExternalKeyOption1 {
  getFields(عامل التصفية: {
    fieldExternalKey: "<معرف_الطرف_الثالث>"
  }) {
    الإجمالي
    fields {
      uuid
      الاسم
      externalKey
    }
  }
}
```

{% endcode %}

### <mark style="color:برتقالي;">الخيار 2</mark> باستخدام استعلام getFarms

{% code overflow="wrap" lineNumbers="true" %}

```graphql
الاستعلام FingFieldsByExternalKeyOption2 {
  getFarms {
    fields(externalKeys: ["<معرف_الطرف_الثالث>"]) {
      uuid
      الاسم
      externalKey
    }
  }
}

```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ar/mstndat-wajhh-brmjh-alttbyqat/nzrh-aamh-ala-tlbat-wajhh-brmjh-ttbyqat-geopard/78.-alastalam-alathwr-ala-fields-bwasth-externalkey.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
